import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

//notice that I say implements actionlistener, this is to say that I will be listening for actions
public class URLExample extends JFrame implements ActionListener
{
    //We have 3 swing components that we must declare up here, so every method has access to them
    JTextField urlField=new JTextField(20);
    JButton read= new JButton ("Read File");
    JButton write= new JButton ("Write");    
    URLMessage u=new URLMessage("TestExample");

    public static void main(String[] args) {
        URLExample p = new URLExample();
        p.init();
        p.setSize(520,520);
        p.setVisible(true);

    }

    //init is a method that gets called automatically when the applet starts or initializes
    //in init we are adding our swing components to the applet
    public void init()
    {
        Container screen = getContentPane();
        screen.setBackground(Color.white);
        screen.setLayout (new FlowLayout() );
        screen.add(urlField);
        screen.add(read);
        screen.add(write);

        //for all components that i want to listen for an action [like a click of button]
        //I add action listener saying Im going to be listening
        read.addActionListener(this); 
        write.addActionListener(this); 
    }

    //in paint I tell it to paint the components and then draw a line
    public void paint (Graphics g)
    {
        super.paint(g);
        g.drawLine(5,200,400,200);
    }

    //now we have to have a method actionPerformed that will be called if an action happens
    //we then see which component had the action on it
    public void actionPerformed(ActionEvent thisEvent)
    {
        Object source = thisEvent.getSource();

        if (source == read)
        {           
            urlField.setText(u.getMessage());
        }
        if (source == write)
        {           
           u.addMessage("This is a test");
        }
    }

}       